InterceptFieldCallback (cglib (Version 2.2.2))
Date: 2016-02-03

net.sf.cglib.transform.impl

## Interface InterceptFieldCallback

- All Known Implementing Classes:
    AbstractInterceptFieldCallback

      public interface InterceptFieldCallback

  Author:
    Juozas Baliuka

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `readBoolean(java.lang.Object obj, java.lang.String name, boolean oldValue)`
    `byte` | `readByte(java.lang.Object obj, java.lang.String name, byte oldValue)`
    `char` | `readChar(java.lang.Object obj, java.lang.String name, char oldValue)`
    `double` | `readDouble(java.lang.Object obj, java.lang.String name, double oldValue)`
    `float` | `readFloat(java.lang.Object obj, java.lang.String name, float oldValue)`
    `int` | `readInt(java.lang.Object obj, java.lang.String name, int oldValue)`
    `long` | `readLong(java.lang.Object obj, java.lang.String name, long oldValue)`
    `java.lang.Object` | `readObject(java.lang.Object obj, java.lang.String name, java.lang.Object oldValue)`
    `short` | `readShort(java.lang.Object obj, java.lang.String name, short oldValue)`
    `boolean` | `writeBoolean(java.lang.Object obj, java.lang.String name, boolean oldValue, boolean newValue)`
    `byte` | `writeByte(java.lang.Object obj, java.lang.String name, byte oldValue, byte newValue)`
    `char` | `writeChar(java.lang.Object obj, java.lang.String name, char oldValue, char newValue)`
    `double` | `writeDouble(java.lang.Object obj, java.lang.String name, double oldValue, double newValue)`
    `float` | `writeFloat(java.lang.Object obj, java.lang.String name, float oldValue, float newValue)`
    `int` | `writeInt(java.lang.Object obj, java.lang.String name, int oldValue, int newValue)`
    `long` | `writeLong(java.lang.Object obj, java.lang.String name, long oldValue, long newValue)`
    `java.lang.Object` | `writeObject(java.lang.Object obj, java.lang.String name, java.lang.Object oldValue, java.lang.Object newValue)`
    `short` | `writeShort(java.lang.Object obj, java.lang.String name, short oldValue, short newValue)`

- - ### Method Detail

    - #### writeInt

          int writeInt(java.lang.Object obj,
                     java.lang.String name,
                     int oldValue,
                     int newValue)

    - #### writeChar

          char writeChar(java.lang.Object obj,
                       java.lang.String name,
                       char oldValue,
                       char newValue)

    - #### writeByte

          byte writeByte(java.lang.Object obj,
                       java.lang.String name,
                       byte oldValue,
                       byte newValue)

    - #### writeBoolean

          boolean writeBoolean(java.lang.Object obj,
                             java.lang.String name,
                             boolean oldValue,
                             boolean newValue)

    - #### writeShort

          short writeShort(java.lang.Object obj,
                         java.lang.String name,
                         short oldValue,
                         short newValue)

    - #### writeFloat

          float writeFloat(java.lang.Object obj,
                         java.lang.String name,
                         float oldValue,
                         float newValue)

    - #### writeDouble

          double writeDouble(java.lang.Object obj,
                           java.lang.String name,
                           double oldValue,
                           double newValue)

    - #### writeLong

          long writeLong(java.lang.Object obj,
                       java.lang.String name,
                       long oldValue,
                       long newValue)

    - #### writeObject

          java.lang.Object writeObject(java.lang.Object obj,
                                     java.lang.String name,
                                     java.lang.Object oldValue,
                                     java.lang.Object newValue)

    - #### readInt

          int readInt(java.lang.Object obj,
                    java.lang.String name,
                    int oldValue)

    - #### readChar

          char readChar(java.lang.Object obj,
                      java.lang.String name,
                      char oldValue)

    - #### readByte

          byte readByte(java.lang.Object obj,
                      java.lang.String name,
                      byte oldValue)

    - #### readBoolean

          boolean readBoolean(java.lang.Object obj,
                            java.lang.String name,
                            boolean oldValue)

    - #### readShort

          short readShort(java.lang.Object obj,
                        java.lang.String name,
                        short oldValue)

    - #### readFloat

          float readFloat(java.lang.Object obj,
                        java.lang.String name,
                        float oldValue)

    - #### readDouble

          double readDouble(java.lang.Object obj,
                          java.lang.String name,
                          double oldValue)

    - #### readLong

          long readLong(java.lang.Object obj,
                      java.lang.String name,
                      long oldValue)

    - #### readObject

          java.lang.Object readObject(java.lang.Object obj,
                                    java.lang.String name,
                                    java.lang.Object oldValue)

Copyright (c) 2001 - Apache Software Foundation